Subject: Re: [PATCH net-next] net: Define eth_stp_addr in linux/etherdevice.h

From: Andrew Lunn <[email-masked]>
Date: Thu, 2 Nov 2017 13:53:05 +0100

On Thu, Nov 02, 2017 at 10:36:48AM +0100, Egil Hjelmeland wrote:
> Why:

Please drop the Why.

> The lan9303 driver defines eth_stp_addr as a synonym to
> eth_reserved_addr_base to get the STP ethernet address 01:80:c2:00:00:00.
> 
> eth_reserved_addr_base is also used to define the start of Bridge Reserved
> ethernet address range, which happen to be the STP address.
> 
> br_dev_setup refer to eth_reserved_addr_base as a definition of STP
> address.
> 
> Clean up by:
>  - Move the eth_stp_addr definition to linux/etherdevice.h
>  - Use eth_stp_addr instead of eth_reserved_addr_base in br_dev_setup.
> 
> Signed-off-by: Egil Hjelmeland <[email-masked]>

I was thinking along the same lines when reviewing your lan9303 patch.

Reviewed-by: Andrew Lunn <[email-masked]>

    Andrew